Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2996)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2997)
@@ -131,7 +131,6 @@
 	 */
 	private String parametersNodePath;
 	
-	
 	/**
 	 * Thread used when calling compute().
 	 */
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 2996)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 2997)
@@ -15,27 +15,29 @@
 import org.txm.rcp.adapters.TXMResultAdapter;
 import org.txm.rcp.adapters.TXMResultAdapterFactory;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 
 
 /**
  * A factory for creating Adapter objects.
- *  
+ * 
  * @author mdecorde
  * @author sjacquot
  */
 public class CorpusAdapterFactory extends TXMResultAdapterFactory {
-
 	
-
+	
+	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof CQPCorpus)	{
+		if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof CQPCorpus) {
 			return new TXMResultAdapter() {
+				
 				@Override
 				public Object[] getChildren(Object corpus) {
 					
-					//List<TXMResult> allChildren = ((CQPCorpus) corpus).getChildren();
+					// List<TXMResult> allChildren = ((CQPCorpus) corpus).getChildren();
 					List<TXMResult> allChildren = ((TXMResult) corpus).getChildren(!TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES));
 					
 					
@@ -46,26 +48,26 @@
 					ArrayList children = new ArrayList();
 					
 					// FIXME: remove Text and SavedQuery from the corpora view
-					// + sort and group the partitions and subcorpus 
+					// + sort and group the partitions and subcorpus
 					for (int i = 0; i < allChildren.size(); i++) {
 						Object element = allChildren.get(i);
 						// partitions
-						if(element instanceof Partition)	{
+						if (element instanceof Partition) {
 							partitions.add(element);
 						}
 						// corpus
-						else if(element instanceof CQPCorpus)	{
+						else if (element instanceof CQPCorpus) {
 							subcorporas.add(element);
 						}
 						// results
-						else if (((TXMResult)element).isVisible()) {
+						else if (((TXMResult) element).isVisible()) {
 							resultsChildren.add(element);
 						}
 						// hidden results
-						else if(TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES))	{
+						else if (TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES)) {
 							hiddentResultsChildren.add(element);
 						}
-
+						
 					}
 					
 					Collections.sort(partitions);
@@ -78,17 +80,23 @@
 					
 					return children.toArray();
 				}
-
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
+					// if (object instanceof MainCorpus
+					// && !((MainCorpus) object).hasBeenComputed()) { // not working because of actual management of the CorpusManager (all Corpus are loaded and there is not 'not ready state')
+					// return AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, IImageKeys.CORPUS_BROKEN);
+					// }
+					// else {
 					return AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, IImageKeys.CORPUS);
+					// }
 				}
 			};
 		}
 		return null;
 	}
-
-
 	
 	
+	
+	
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2996)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2997)
@@ -183,7 +183,10 @@
 			}
 			
 			Log.fine(NLS.bind("Call CQI: load_a_system_corpus with {0} and {1}", this.registryFile.getParent(), this.pID));
-			CQPSearchEngine.getCqiClient().load_a_system_corpus(this.registryFile.getParent(), this.pID);
+			if (!CQPSearchEngine.getCqiClient().load_a_system_corpus(this.registryFile.getParent(), this.pID)) {
+				Log.warning(TXMCoreMessages.bind("Error: CQI.load_a_system_corpus failed with id={0} and registry={1}", this.getID(), this.registryFile));
+				return false;
+			}
 			
 			List<String> tmp = Arrays.asList(CQPSearchEngine.getCqiClient().listCorpora());
 			if (tmp.contains(this.pID)) {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 2996)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 2997)
@@ -60,23 +60,23 @@
  * @author Jean-Philippe Magué
  */
 public class CorpusManager {
-
+	
 	/** The cqi client. */
 	private static AbstractCqiClient cqiClient;
-
+	
 	/** The singleton. */
 	private static CorpusManager corpusManager = null;
-
+	
 	/** the corpora. */
 	private static HashMap<String, MainCorpus> corpora = null;
-
+	
 	/**
 	 * Instantiates a new corpus manager.
 	 */
-	private CorpusManager() { 
-		corpora = new HashMap<String, MainCorpus>();
+	private CorpusManager() {
+		corpora = new HashMap<>();
 	}
-
+	
 	/**
 	 * Sets the cqi client.
 	 * 
@@ -86,20 +86,20 @@
 	public static void setCqiClient(AbstractCqiClient cqiClient) {
 		CorpusManager.cqiClient = cqiClient;
 	}
-
+	
 	/**
 	 * Gets the corpus manager.
 	 * 
 	 * @return the corpus manager
 	 */
 	public static CorpusManager getCorpusManager() {
-//		if (cqiClient == null)
-//			throw new RuntimeException(TXMCoreMessages.cQiClientNotInitialized);
+		// if (cqiClient == null)
+		// throw new RuntimeException(TXMCoreMessages.cQiClientNotInitialized);
 		if (corpusManager == null)
 			corpusManager = new CorpusManager();
 		return corpusManager;
 	}
-
+	
 	/**
 	 * Clean.
 	 */
@@ -108,14 +108,14 @@
 		corpora = null;
 		corpusManager = null;
 	}
-
+	
 	/**
 	 * Clean corpora : empty the 'corpora' member.
 	 */
 	public static void cleanCorpora() {
-		corpora = new HashMap<String, MainCorpus>();
+		corpora = new HashMap<>();
 	}
-
+	
 	/**
 	 * Gets a corpus.
 	 *
@@ -124,20 +124,20 @@
 	 * @throws CqiClientException the cqi client exception
 	 * @throws InvalidCqpIdException the invalid cqp id exception
 	 */
-	public MainCorpus getCorpus(String corpusName) throws CqiClientException,
-			InvalidCqpIdException {
+	public MainCorpus getCorpus(String corpusName) throws CqiClientException, InvalidCqpIdException {
+		
 		if (corpora == null) {
 			// System.out.println("error corpora is null ");
 			this.getCorpora();
 		}
-
+		
 		for (MainCorpus corpus : CorpusManager.corpora.values()) {
 			if (corpus.getID().equals(corpusName)) {
 				// System.out.println("found corpus "+corpusName);
 				return corpus;
 			}
 		}
-		//System.out.println("create corpus "+corpusName);
+		// System.out.println("create corpus "+corpusName);
 		for (Project p : Toolbox.workspace.getProjects()) {
 			CorpusBuild c = p.getCorpusBuild(corpusName);
 			if (c != null && c instanceof MainCorpus) {
@@ -146,7 +146,7 @@
 		}
 		return null;
 	}
-
+	
 	/**
 	 * Checks for corpus.
 	 *
@@ -161,7 +161,7 @@
 				return true;
 		return false;
 	}
-
+	
 	/**
 	 * Gets a list of the corpora managed by CQP.
 	 * 
@@ -171,40 +171,40 @@
 	 *             the cqi client exception
 	 */
 	public HashMap<String, MainCorpus> getCorpora() {
-//		//System.out.println("get corpora");
-//		if (corpora != null)
-//			return corpora;
-//
-//		String[] corporaName;
-//		try {
-//			corporaName = cqiClient.listCorpora();
-//		} catch (Exception e) {
-//			throw new CqiClientException(e);
-//		}
-//
-//		corpora = new ArrayList<MainCorpus>(corporaName.length);
-//		for (int i = 0; i < corporaName.length; i++) {
-//			try {
-//				MainCorpus c = this.getCorpus(corporaName[i]);
-//				if (c != null) corpora.add(c);
-//			} catch (InvalidCqpIdException e) {
-//				throw new CqiClientException(TXMCoreMessages.errorColonThisExceptionShouldNotBeThrown, e);
-//			}
-//		}
-//		
-//		for (CQPCorpus corpus : corpora) {
-//			try {
-//				corpus.setCharset(cqiClient.corpusCharset(corpus.getCqpId()));
-//				// TODO : implements cqiClient.corpusLanguage
-//				// corpus.setLanguage(cqiClient.corpusLanguage(corpus.getCqpId()));
-//			} catch (Exception e) {
-//				org.txm.utils.logger.Log.printStackTrace(e);
-//			}
-//		}
-//		// System.out.println("END creating corpora");
+		// //System.out.println("get corpora");
+		// if (corpora != null)
+		// return corpora;
+		//
+		// String[] corporaName;
+		// try {
+		// corporaName = cqiClient.listCorpora();
+		// } catch (Exception e) {
+		// throw new CqiClientException(e);
+		// }
+		//
+		// corpora = new ArrayList<MainCorpus>(corporaName.length);
+		// for (int i = 0; i < corporaName.length; i++) {
+		// try {
+		// MainCorpus c = this.getCorpus(corporaName[i]);
+		// if (c != null) corpora.add(c);
+		// } catch (InvalidCqpIdException e) {
+		// throw new CqiClientException(TXMCoreMessages.errorColonThisExceptionShouldNotBeThrown, e);
+		// }
+		// }
+		//
+		// for (CQPCorpus corpus : corpora) {
+		// try {
+		// corpus.setCharset(cqiClient.corpusCharset(corpus.getCqpId()));
+		// // TODO : implements cqiClient.corpusLanguage
+		// // corpus.setLanguage(cqiClient.corpusLanguage(corpus.getCqpId()));
+		// } catch (Exception e) {
+		// org.txm.utils.logger.Log.printStackTrace(e);
+		// }
+		// }
+		// // System.out.println("END creating corpora");
 		return corpora;
 	}
-
+	
 	/**
 	 * Gets the cqi client.
 	 * 
@@ -213,7 +213,7 @@
 	public AbstractCqiClient getCqiClient() {
 		return cqiClient;
 	}
-
+	
 	/**
 	 * Delete corpus.
 	 *
@@ -225,13 +225,14 @@
 		if (CQPSearchEngine.isInitialized()) {
 			try {
 				CQPSearchEngine.getCqiClient().dropCorpus(corpus.getID());
-			} catch (Exception e) {
-				Log.warning("Warning while removing corpus: Failed to drop corpus "+corpus);
+			}
+			catch (Exception e) {
+				Log.warning("Warning while removing corpus: Failed to drop corpus " + corpus);
 				Log.printStackTrace(e);
 			}
 		}
 	}
-
+	
 	public boolean hasCorpus(MainCorpus mainCorpus) {
 		if (corpora != null) {
 			return corpora.containsKey(mainCorpus.getID());
@@ -244,4 +245,4 @@
 			corpora.put(mainCorpus.getID(), mainCorpus);
 		}
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.rcp/icons/objects/corpus_broken.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.rcp/icons/objects/corpus_broken.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 2996)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 2997)
@@ -106,6 +106,9 @@
 	/** The Constant CORPUS. */
 	public static final String CORPUS = "icons/objects/corpus.png"; //$NON-NLS-1$
 	
+	/** The Constant of CORPUS_BROKEN. */
+	public static final String CORPUS_BROKEN = "icons/objects/corpus_broken.png"; //$NON-NLS-1$
+	
 	/** The Constant EDITION. */
 	public static final String EDITION = "icons/objects/edition.png"; //$NON-NLS-1$
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 2996)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 2997)
@@ -62,7 +62,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("discoursLoader.groovy", params); //$NON-NLS-1$
 		names.put("discoursLoader.groovy", "CNR + CSV"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -81,7 +81,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("cqpLoader.groovy", params); //$NON-NLS-1$
 		names.put("cqpLoader.groovy", "CQP"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -100,7 +100,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, false);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("hyperbaseLoader.groovy", params); //$NON-NLS-1$
 		names.put("hyperbaseLoader.groovy", "Hyperbase"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -119,7 +119,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, false);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("alcesteLoader.groovy", params); //$NON-NLS-1$
 		names.put("alcesteLoader.groovy", "Alceste"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -138,7 +138,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, false);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("txtLoader.groovy", params); //$NON-NLS-1$
 		names.put("txtLoader.groovy", "TXT + CSV"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -176,7 +176,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("tmxLoader.groovy", params); //$NON-NLS-1$
 		names.put("tmxLoader.groovy", "XML-TMX"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -195,7 +195,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("xmlLoader.groovy", params); //$NON-NLS-1$
 		names.put("xmlLoader.groovy", "XML/w + CSV"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -214,7 +214,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("xmltxmLoader.groovy", params); //$NON-NLS-1$
 		names.put("xmltxmLoader.groovy", "XML-TEI TXM"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -233,7 +233,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("factivaLoader.groovy", params); //$NON-NLS-1$
 		names.put("factivaLoader.groovy", "XML-PPS"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -252,7 +252,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("factivamailLoader.groovy", params); //$NON-NLS-1$
 		names.put("factivamailLoader.groovy", "Factiva TXT"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -271,7 +271,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("bfmLoader.groovy", params); //$NON-NLS-1$
 		names.put("bfmLoader.groovy", "XML-TEI BFM"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -290,7 +290,7 @@
 		params.put(QUERIES, true);
 		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
-		params.put(OPTIONS, false);
+		params.put(OPTIONS, true);
 		allParams.put("frantextLoader.groovy", params); //$NON-NLS-1$
 		names.put("frantextLoader.groovy", "XML-TEI Frantext"); //$NON-NLS-1$ //$NON-NLS-2$
 		
@@ -339,7 +339,7 @@
 			params.put(QUERIES, true);
 			params.put(UI, true);
 			params.put(TEXTUALPLANS, false);
-			params.put(OPTIONS, false);
+			params.put(OPTIONS, true);
 			return params;
 		}
 	}
